summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/phpDocumentor/README11
-rw-r--r--development/phpDocumentor/phpDocumentor.SlackBuild57
-rw-r--r--development/phpDocumentor/phpDocumentor.info10
-rw-r--r--development/phpDocumentor/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/development/phpDocumentor/README b/development/phpDocumentor/README
new file mode 100644
index 0000000000..f518f25b42
--- /dev/null
+++ b/development/phpDocumentor/README
@@ -0,0 +1,11 @@
+phpDocumentor is the standard auto-documentation tool for PHP.
+Written in PHP, phpDocumentor can be used directly from the
+command-line, or through an easy to use web interface. It can
+be used to generate professional documentation directly from the
+source code of your PHP project. Support for linking between
+documentation, automatic class inheritance and generation of
+highlighted source code with cross-referencing to php general
+documentation are just a few of the features of phpDocumentor.
+
+You can override DOCROOT, PHPUSER, and PHPGROUP at build time.
+They default to DOCROOT=/var/www/htdocs, PHPUSER=root, PHPGROUP=apache.
diff --git a/development/phpDocumentor/phpDocumentor.SlackBuild b/development/phpDocumentor/phpDocumentor.SlackBuild
new file mode 100644
index 0000000000..f986d63113
--- /dev/null
+++ b/development/phpDocumentor/phpDocumentor.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware Package Build Script for phpDocumentor
+# Home Page http://www.phpdoc.org/
+
+PRGNAM=phpDocumentor
+VERSION=${VERSION:-1.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch # hardcode ARCH
+
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+SRCNAM=PhpDocumentor-${VERSION}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tgz
+mv $SRCNAM $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 -o -perm 755 \) \
+ -exec chmod 750 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 -o -perm 644 \) \
+ -exec chmod 640 {} \;
+
+mkdir -p $PKG/$DOCROOT
+cp -a $TMP/$PRGNAM-$VERSION $PKG/$DOCROOT/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Documentation* INSTALL LICENSE README* ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Change ownership and perms and create a link.
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT/$PRGNAM
+chmod 0750 $PKG/$DOCROOT/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/phpDocumentor/phpDocumentor.info b/development/phpDocumentor/phpDocumentor.info
new file mode 100644
index 0000000000..ff0c7c2906
--- /dev/null
+++ b/development/phpDocumentor/phpDocumentor.info
@@ -0,0 +1,10 @@
+PRGNAM="phpDocumentor"
+VERSION="1.4.3"
+HOMEPAGE="http://www.phpdoc.org/"
+DOWNLOAD="http://downloads.sourceforge.net/phpdocu/PhpDocumentor-1.4.3.tgz"
+MD5SUM="180ea5bf2ab4f729d0cd09d99f7b2520"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Armin Besirovic"
+EMAIL="armin[at]linux[dot]org[dot]ba"
+APPROVED="rworkman"
diff --git a/development/phpDocumentor/slack-desc b/development/phpDocumentor/slack-desc
new file mode 100644
index 0000000000..5ea1533ebb
--- /dev/null
+++ b/development/phpDocumentor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+phpDocumentor: phpDocumentor (The complete documentation solution for PHP)
+phpDocumentor:
+phpDocumentor: phpDocumentor is the standard auto-documentation tool for PHP.
+phpDocumentor: Written in PHP, phpDocumentor can be used directly from the
+phpDocumentor: command-line, or through an easy to use web interface. It can
+phpDocumentor: be used to generate professional documentation directly from
+phpDocumentor: the source code of your PHP project. Support for linking between
+phpDocumentor: documentation, automatic class inheritance and generation of
+phpDocumentor: highlighted source code with cross-referencing to php general
+phpDocumentor: documentation are just a few of the features of phpDocumentor.
+phpDocumentor: